@extends($activeTemplate . 'layouts.app')
@section('app')
    @php
        $login = getContent('login.content', true);
        $placeholder = 'Captcha';
    @endphp
    <section class="account">
        <span class="account__shape"><img src="{{ getImage('assets/images/frontend/login/' . @$login->data_values->shape_one, '475x270') }}" alt="@lang('image')"></span>
        <span class="account__shape two"><img src="{{ getImage('assets/images/frontend/login/' . @$login->data_values->shape_two, '380x220') }}" alt="@lang('image')"></span>
        <div class="account__inner">
            <div class="account__left">
                <div class="top">
                    <a class="navbar-brand logo" href="{{ route('home') }}"><img src="{{ siteLogo('dark') }}"
                             alt="@lang('Image')"></a>
                    <p class="have-account d-sm-block d-none">@lang('Don’t have an account?')
                        <a href="{{ route('user.register') }}" class="have-account__link text--base">@lang('Register')</a>
                    </p>
                </div>
                <div class="account__content login">
                    <form class="verify-gcaptcha account__form" action="{{ route('user.login') }}" method="POST">
                        @csrf
                        <div class="account__form-heading text-center">
                            <h2 class="title">{{ __(@$login->data_values->heading) }}</h2>
                            <span class="tagline">{{ __(@$login->data_values->subheading) }}</span>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    <input type="text" class="form--control" name="username" placeholder="@lang('Username or Email')" value="{{ old('username') }}" required>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    <div class="position-relative">
                                        <input id="your-password" type="password" name="password"
                                               class="form-control  form--control" placeholder="@lang('Password')" required>
                                        <span class="password-show-hide fas fa-eye toggle-password fa-eye-slash"
                                              id="#password"></span>
                                    </div>
                                </div>
                            </div>

                            <x-captcha :placeholder="$placeholder" />

                            <div class="form-group">
                                <div class="d-flex justify-content-between">
                                    <div class="form-check d-flex">
                                        <input class="form-check-input" id="remember" name="remember" type="checkbox"
                                               {{ old('remember') ? 'checked' : '' }}>
                                        <label class="form-check-label ms-1 mb-0" for="remember">
                                            @lang('Remember Me')</label>
                                    </div>
                                    <a class="text--base forgot-pass" href="{{ route('user.password.request') }}">
                                        @lang('Forgot Your Password')?</a>
                                </div>
                            </div>

                            <div class="form-group mb-0">
                                <button type="submit" class="btn btn--base w-100"
                                        id="recaptcha">@lang('Submit')</button>
                                <p class="have-account d-sm-none d-block">@lang('Don’t have an account?') <a
                                       href="{{ route('user.register') }}"
                                       class="have-account__link text--base">@lang('Register')</a>
                                </p>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="account__right">
                <div class="account__thumb">
                    <img src="{{ getImage('assets/images/frontend/login/' . @$login->data_values->right_side_image, '800x840') }}" alt="@lang('Image')">
                </div>
            </div>
        </div>
    </section>
@endsection
