@extends($activeTemplate . 'layouts.master')
@section('content')
    <div class="card custom--card">
        <div class="card-header">
            <h5 class="mb-0">{{ __($pageTitle) }}</h5>
        </div>
        <div class="card-body">
            <form class="register prevent-double-click profile-setting-form" action="" method="post"
                  enctype="multipart/form-data">
                @csrf
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="form--label">@lang('First Name')</label>
                            <input class="form--control" name="firstname" type="text" value="{{ $user->firstname }}" required>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="form--label">@lang('Last Name')</label>
                            <input class="form--control" name="lastname" type="text" value="{{ $user->lastname }}" required>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="form--label">@lang('E-mail Address')</label>
                            <input class="form--control" value="{{ $user->email }}" readonly>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="form--label">@lang('Mobile Number')</label>
                            <input class="form--control" value="{{ $user->mobile }}" readonly>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="form--label">@lang('Address')</label>
                            <input class="form--control" name="address" type="text" value="{{ @$user->address->address }}" required>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="form--label">@lang('State')</label>
                            <input class="form--control" name="state" type="text" value="{{ @$user->address->state }}" required>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="form--label">@lang('Zip Code')</label>
                            <input class="form--control" name="zip" type="text" value="{{ @$user->address->zip }}" required>
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="form--label">@lang('City')</label>
                            <input class="form--control" name="city" type="text" value="{{ @$user->address->city }}" required>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="form--label">@lang('Country')</label>
                            <input class="form--control" value="{{ @$user->address->country }}" disabled>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="form--label">@lang('Image')</label>
                            <input class="form--control form-control profilePicUpload" id="imgInp" name="image" type="file" accept=".jpg, .jpeg, .png">
                            <p class="ticket-attachments-message text-muted">
                                @lang('Allowed File Extensions'): .@lang('jpg'), .@lang('jpeg'), .@lang('png') @lang('(Image Size: 150x150)')
                            </p>
                            <div id="priview-image-box">
                                <img id="preview" class="priview-image" alt="your image" />
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label class="form--label">@lang('About Yourself')</label>
                            <textarea class="form--control nicEdit nicEditorHeight" name="about" rows="5">@php echo $user->about @endphp</textarea>
                        </div>
                    </div>
                </div>
                <button class="btn btn--base w-100" type="submit">@lang('Submit')</button>
            </form>
        </div>
    </div>
@endsection

@push('style')
    <style>
        .nicEditorHeight {
            height: 120px !important;
        }

        .priview-image-box {
            height: 100px;
            width: 150px;

        }

        .priview-image {
            margin-top: 20px;
            width: 100%;
            height: 100%;
            object-fit: cover;
            display: none;
        }
    </style>
@endpush

@push('script-lib')
    <script src="{{ asset('assets/global/js/nicEdit.js') }}"></script>
@endpush

@push('script')
    <script>
        $('#imgInp').change(function(evt) {
            const file = $(this)[0].files[0];
            if (file) {
                const reader = new FileReader();
                reader.onload = function(e) {
                    $('#preview').attr('src', e.target.result).show();
                    $('#priview-image-box').addClass('priview-image-box').show();
                };
                reader.readAsDataURL(file);
            }
        });
        bkLib.onDomLoaded(function() {
            $(".nicEdit").each(function(index) {
                $(this).attr("id", "nicEditor" + index);
                new nicEditor({
                    fullPanel: true
                }).panelInstance('nicEditor' + index, {
                    hasPanel: true
                });
            });
        });
        (function($) {
            $(document).on('mouseover ', '.nicEdit-main,.nicEdit-panelContain', function() {
                $('.nicEdit-main').focus();
            });

            function proPicURL(input) {
                if (input.files && input.files[0]) {
                    var reader = new FileReader();
                    reader.onload = function(e) {
                        var preview = $('.user-sidebar').find('.profilePicPreview');
                        $(preview).attr('src', e.target.result);
                        $(preview).hide();
                        $(preview).fadeIn(650);
                    }
                    reader.readAsDataURL(input.files[0]);
                }
            }
            $(".profilePicUpload").on('change', function() {
                proPicURL(this);
            });


        })(jQuery);
    </script>
@endpush
