@extends($activeTemplate . 'layouts.master')
@section('content')
    <div class="dashboard-table mt-5">
        <div class="dashbaord-table-header">
            <h5 class="card-header__title mb-0 text-dark">{{ __($pageTitle) }}</h5>
            <a href="{{ route('ticket.open') }}" class="btn btn--base"><i class="la la-plus"></i> @lang('Open New Ticket')</a>
        </div>

        @if ($supports->isEmpty())
            <div class="card-empty">
                <div class="empty-thumb">
                    <img src="{{ getImage($activeTemplateTrue . 'images/icons/empty_list.png') }}" alt="image">
                </div>
                <p class="text-center">@lang('Data Not Found')</p>
            </div>
        @else
            <table class="table table--responsive--lg">
                <thead>
                    <tr>
                        <th>@lang('Subject')</th>
                        <th>@lang('Status')</th>
                        <th>@lang('Priority')</th>
                        <th>@lang('Last Reply')</th>
                        <th>@lang('Action')</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($supports as $support)
                        <tr>
                            <td>
                                <a class="fw-bold" href="{{ route('ticket.view', $support->ticket) }}">[@lang('Ticket')#{{ $support->ticket }}] {{ __($support->subject) }} </a>
                            </td>
                            <td>
                                @php echo $support->statusBadge; @endphp
                            </td>
                            <td>
                                @if ($support->priority == Status::PRIORITY_LOW)
                                    <span class="badge badge--dark">@lang('Low')</span>
                                @elseif($support->priority == Status::PRIORITY_MEDIUM)
                                    <span class="badge badge--warning">@lang('Medium')</span>
                                @elseif($support->priority == Status::PRIORITY_HIGH)
                                    <span class="badge badge--danger">@lang('High')</span>
                                @endif
                            </td>
                            <td>{{ diffForHumans($support->last_reply) }}</td>
                            <td>
                                <a class="btn btn-outline--base btn--sm" href="{{ route('ticket.view', $support->ticket) }}">
                                    <i class="fa fa-desktop fs-12"></i> @lang('View')
                                </a>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        @endif
    </div>
@endsection

@push('style')
    <style>
        .card-empty {
            background: hsl(var(--white));
            border-top: 1px solid hsl(var(--black) / 0.07);
        }
    </style>
@endpush
