@extends($activeTemplate . 'layouts.master')
@section('content')
    <div class="row gy-4 justify-content-end">
        <div class="col-xxl-6 col-xl-7 col-lg-12  text-end">
            <form class="topics-filter" action="" id="filter_form">
                <div class="d-flex flex-wrap gap-4">
                    <div class="flex-grow-1">
                        <div class="input-group input--group">
                            <select name="status" class="form--control select">
                                <option value="" selected>@lang('All')</option>
                                <option value="0" @selected(request()->status == '0')>@lang('Pending')</option>
                                <option value="1" @selected(request()->status == 1)>@lang('Approved')</option>
                                <option value="3" @selected(request()->status == 3)>@lang('Rejected')</option>
                            </select>
                        </div>
                    </div>
                    <div class="flex-grow-1">
                        <div class="input--group">
                            <input class="form--control" name="search" type="search" value="{{ request()->search }}"
                                placeholder="@lang('Search by forum')">
                            <button class="input-group-text bg--base border-0 text-white" type="submit"><i
                                    class="la la-search"></i></button>
                        </div>
                    </div>
                    <div class="flex-grow-1 align-self-en">
                        <a class="btn btn-outline--base w-100" href="{{ route('user.topic.form') }}">
                            <i class="la la-plus"></i> @lang('Create New')
                        </a>
                    </div>
                </div>
            </form>
        </div>

        <div class="col-12">
            @include($activeTemplate . 'partials.topics_table')
        </div>
    </div>
    <x-confirmation-modal btn="btn btn--base btn--sm" />
@endsection

@push('script')
    <script>
        (function($) {
            "use strict";
            $('select[name=status]').on('change', function() {
                $('#filter_form').submit();
            });
        })(jQuery);
    </script>
@endpush
