@php
    $banner = getContent('banner.content', true);
    $bannerContent = @$banner->data_values;
@endphp

<header class="header" id="header">
    <div class="container">
        <nav class="navbar navbar-expand-lg navbar-light">
            <a class="navbar-brand logo" href="{{ route('home') }}"><img src="{{ siteLogo('dark') }}" alt="@lang('image')"></a>
            <button class="navbar-toggler header-button" type="button" data-bs-toggle="collapse"
                data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                aria-label="Toggle navigation">
                <span id="hiddenNav"><i class="las la-bars"></i></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav nav-menu ms-auto align-items-lg-center">
                    <li class="nav-item d-flex d-lg-none flex-wrap justify-content-end">
                        @include($activeTemplate . 'partials.language')
                    </li>
                    <li class="nav-item">
                        <a class="nav-link {{ menuActive('home') }}" aria-current="page"
                            href="{{ route('home') }}">@lang('Home')</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link {{ menuActive('all.topic') }}" aria-current="page"
                            href="{{ route('all.topic') }}">@lang('All Topic')</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link {{ menuActive('contact') }}"
                            href="{{ route('contact') }}">@lang('Contact')</a>
                    </li>
                    <li class="nav-item header-access">
                        <div class="language_switcher d-none d-lg-block">
                            @include($activeTemplate . 'partials.language')
                        </div>
                        @auth
                            <div class="d-flex align-items-center gap-3 header-access-btn">
                                <div>
                                    <a href="{{ route('user.home') }}" class="btn btn--base ">@lang('Dashboard')</a>
                                </div>
                                <div>
                                    <a href="{{ route('user.logout') }}" class="btn btn--base">@lang('Logout')</a>
                                </div>
                            </div>
                        @else
                        <div class="header-access-btn">
                            <a href="{{ route('user.login') }}" class="btn btn--base">@lang('Login')</a>
                        </div>
                        @endauth
                    </li>
                </ul>
            </div>
        </nav>
    </div>
</header>
