<div class="dashboard-table">
    @if ($topics->isEmpty())
        <div class="card-empty">
            <div class="empty-thumb">
                <img src="{{ getImage($activeTemplateTrue . 'images/icons/empty_list.png') }}" alt="image">
            </div>
            <p class="text-center">@lang('Data Not Found')</p>
        </div>
    @else
        <table class="table table--responsive--lg">
            <thead>
                <tr>
                    <th>@lang('Title')</th>
                    <th>@lang('Forum')</th>
                    <th>@lang('Up - Down Vote')</th>
                    <th>@lang('Status')</th>
                    <th>@lang('Action')</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($topics as $topic)
                    <tr>
                        <td>
                            {{ strLimit(__($topic->title), 25) }}
                        </td>
                        <td>
                            {{ __(@$topic->subcategory->name) }}
                        </td>
                        <td>
                            <span>
                                <i class="las la-arrow-up text--success"></i>
                                {{ $topic->up_vote }}
                                -
                                <i class="las la-arrow-down text--danger"></i>
                                {{ $topic->down_vote }}
                            </span>
                        </td>
                        <td>
                            @php
                                echo $topic->statusBadge;
                            @endphp
                        </td>
                        <td>
                            <div class="d-inline-flex justify-content-end flex-wrap gap-2">
                                <a class="btn btn-outline--base btn--sm" href="{{ route('user.topic.detail', $topic->id) }}">
                                    <i class="las la-desktop"></i> @lang('Detail')
                                </a>
                                <a class="btn btn-outline--success btn--sm" href="{{ route('user.topic.form', $topic->id) }}">
                                    <i class="las la-edit"></i> @lang('Edit')
                                </a>
                                <button class="btn--sm btn-outline--danger btn confirmationBtn" data-action="{{ route('user.topic.delete', $topic->id) }}" data-question="@lang('Are you sure delete this topic')?">
                                    <i class="las la-trash-alt"></i> @lang('Delete')
                                </button>
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    @endif
</div>
