@extends($activeTemplate . 'layouts.master')
@section('content')
    <div class="row gy-3 mb-4 justify-content-center dashboard-widget-wrapper">
        <div class="col-xl-3 col-lg-4 col-sm-6">
            <div class="dashboard-widget">
                <span class="dashboard-widget__tag">@lang('Total Topics')</span>
                <h3 class="dashboard-widget__number">{{ $widget['total_topic'] }}</h3>
                <a href="{{ route('user.topic.list') }}" class="dashboard-widget__btn btn btn--base">@lang('View All')</a>
                <div class="dashboard-widget__icon">
                    <i class="fli-file"></i>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-4 col-sm-6">
            <div class="dashboard-widget">
                <span class="dashboard-widget__tag">@lang('Pending Topics')</span>
                <h3 class="dashboard-widget__number">{{ $widget['pending_topic'] }}</h3>
                <a href="{{ route('user.topic.pending') }}"
                   class="dashboard-widget__btn btn btn--base">@lang('View All')</a>
                <div class="dashboard-widget__icon">
                    <i class="fli-prosesing"></i>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-4 col-sm-6">
            <div class="dashboard-widget">
                <span class="dashboard-widget__tag">@lang('Approved Topics')</span>
                <h3 class="dashboard-widget__number">{{ $widget['approved_topic'] }}</h3>
                <a href="{{ route('user.topic.approved') }}"
                   class="dashboard-widget__btn btn btn--base">@lang('View All')</a>
                <div class="dashboard-widget__icon">
                    <i class="fli-file-check"></i>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-4 col-sm-6">
            <div class="dashboard-widget">
                <span class="dashboard-widget__tag">@lang('Rejected Topics')</span>
                <h3 class="dashboard-widget__number">{{ $widget['rejected_topic'] }}</h3>
                <a href="{{ route('user.topic.rejected') }}"
                   class="dashboard-widget__btn btn btn--base">@lang('View All')</a>
                <div class="dashboard-widget__icon">
                    <i class="fli-file-cross"></i>
                </div>
            </div>
        </div>
    </div>

    <div>
        <h5 class="table-title">@lang('Latest Approved Topics')</h5>
    </div>
    @include($activeTemplate . 'partials.topics_table')
    <x-confirmation-modal btn="btn btn--base btn--sm" />
@endsection
